Update price category

Updates an existing price category by its ID.

Path Parameters

ParameterTypeRequiredDescription
idintegerYesPrice category unique identifier

Body Fields

FieldTypeRequiredDescription
namestringNoCategory name
byDefaultbooleanNoSet as default price category
taxobjectNoAssociated tax: {"id": <tax_id>} or null to remove

Response Fields

FieldTypeDescription
idintegerPrice category unique identifier
namestringCategory name
byDefaultbooleanWhether this is the default price category
createdAtdatetimeCreation timestamp
updatedAtdatetimeLast update timestamp

Response

  • 200 OK: Price category successfully updated
  • 400 Bad Request: Invalid request body or validation error
  • 401 Unauthorized: Invalid or missing API key
  • 404 Not Found: Price category not found
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required
Body Params
string
boolean
tax
object
Responses
200

Resource updated

400

Bad request

401

Unauthorized

404

Resource not found

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!